Welcome to Centmin Mod Community
Become a Member

Upgrade Yum updates are available but can't install

Discussion in 'Install & Upgrades or Pre-Install Questions' started by negative, Sep 19, 2019.

  1. negative

    negative Active Member

    415
    50
    28
    Apr 11, 2015
    Ratings:
    +98
    Local Time:
    3:26 PM
    1.9.10
    10.1.11
    After i select the #24 (exit) option from centmin, centmin checks the yum updates as u know.

    However, i see that output:
    Code (Text):
    checking for YUM updates... please wait...
    
    -------------------------------------------------------------
      New YUM Updates available for host server
    -------------------------------------------------------------
      To list available YUM Updates type:
    -------------------------------------------------------------
      yum list updates --disableplugin=priorities,versionlock --setopt=deltarpm=0 --enablerepo=remi
    -------------------------------------------------------------
      Following Updates are available:
    -------------------------------------------------------------
    LibRaw.x86_64                         0.19.2-1.el7                          base
    
    -------------------------------------------------------------
      To update type these commands:
    -------------------------------------------------------------
      yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    
    
    -------------------------------------------------------------
    * Current Nginx Version: 1.17.3 (200819-094925-centos7-vmware)
    * Latest Nginx Available: 1.17.3 (centminmod.com/nginxnews)


    After i run the update command it says "no packages marked for update"
    (usually it works so i'm updating the server except today)
    Code (Text):
    yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi


    Output:
    Code (Text):
    [13:15][root@server ~]# yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    Loaded plugins: fastestmirror, versionlock
    Loading mirror speeds from cached hostfile
     * base: mirror.idealhosting.net.tr
     * centos-sclo-rh: mirror.idealhosting.net.tr
     * centos-sclo-sclo: mirror.saglayici.com
     * epel: mirror.veriteknik.net.tr
     * extras: mirror.idealhosting.net.tr
     * remi: mirror.veriteknik.net.tr
     * rpmforge: mirrors.netix.net
     * updates: mirror.rackdc.com
    Excluding 1 update due to versionlock (use "yum versionlock status" to show it)
    No packages marked for update


    So, centmin says that "there are some yum updates" but command says "no packages for update"

    What may me problem?
     
  2. pamamolf

    pamamolf Premium Member Premium Member

    3,915
    391
    83
    May 31, 2014
    Ratings:
    +760
    Local Time:
    3:26 PM
    Nginx-1.17.x
    MariaDB 10.3.x
    Yes there is a software update for LibRaw.x86_64 but Centminmod uses version lock (it does the same for Imagick) so it will get updated when you run from menu the 5). PHP Upgrade / Downgrade or 15). Install/Reinstall ImagicK PHP Extension....

    As the update for those will cause issues and may need to use Menu15 every time that you update them and most people don't know that or don't want to do that...

    Actually i like the version lock option :)
     
  3. Jimmy

    Jimmy Well-Known Member

    1,724
    367
    83
    Oct 24, 2015
    East Coast USA
    Ratings:
    +932
    Local Time:
    8:26 AM
    1.17.x
    MariaDB 10.3.x
  4. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
  5. negative

    negative Active Member

    415
    50
    28
    Apr 11, 2015
    Ratings:
    +98
    Local Time:
    3:26 PM
    1.9.10
    10.1.11
    Yes thank you for replies, i didn't know the LibRaw related with imagick so after update that via #15 menu, no problem.
     
  6. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    I just did centmin menu 5 to update PHP, and then I got that LibRaw problem.

    After that, I tried doing centmin menu 15 to update imagick but no help.

    After I exit centmin with menu 24, I still get:

    Code:
    Following Updates are available:
    -------------------------------------------------------------
    LibRaw.x86_64                         0.19.4-1.el7                          base
    
    -------------------------------------------------------------
      To update type these commands:
    -------------------------------------------------------------
      yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    But when I try it:
    Code:
    # yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    Loaded plugins: fastestmirror, versionlock
    Loading mirror speeds from cached hostfile
     * base: linux.darkpenguin.net
     * centos-sclo-rh: linux.darkpenguin.net
     * centos-sclo-sclo: linux.darkpenguin.net
     * epel: mirror.de.leaseweb.net
     * extras: mirror.checkdomain.de
     * remi: mirror.dogado.de
     * rpmforge: mirror1.hs-esslingen.de
     * updates: centosmirror.netcup.net
    Excluding 1 update due to versionlock (use "yum versionlock status" to show it)
    No packages marked for update
    And I continue to get this LibRaw mention whenever I open centmin and close it again.

    Centmin codebase is latest on my machine.

    What can I do? Thank you! :)
     
  7. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    ...and to add to the above, the centmin menu 15 left the following in the imagick-install.log:
    Code:
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:LibRaw-0.19.4-0.el7.remi.*
    versionlock deleted: 1
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:ImageMagick-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-libs-6.9.11.43-1.el7.remi.*
    versionlock deleted: 5
    Loaded plugins: fastestmirror, priorities, versionlock
    Adding versionlock on: 0:ImageMagick-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-libs-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:LibRaw-0.19.4-0.el7.remi
    versionlock added: 6
    But indeed the issue persists, as demonstrated in my post above.

    It's not an urgent problem but something of an annoyance to not be able to figure this out :)
     
  8. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    what is output for command to update Centmin Mod local code
    Code (Text):
    cmupdate
     
  9. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    # cmupdate
    No local changes to save
    Already up-to-date.
     
  10. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    does version lock file exist at /etc/yum/pluginconf.d/versionlock.conf ?

    you can check using command
    Code (Text):
    ls -lah /etc/yum/pluginconf.d/versionlock.conf
    


    also check the centmin.sh menu option 15 automatic logged file in /root/centminlogs directory using command below
    Code (Text):
    ls -lahrt /root/centminlogs/ | grep 'php-imagick-install.log' | tail -1

    example output shows the log of last run for centmin.sh menu option 15 was at /root/centminlogs/centminmod_123.09beta01.b623_291120-020450_php-imagick-install.log
    Code (Text):
    ls -lahrt /root/centminlogs/ | grep 'php-imagick-install.log' | tail -1
    -rw-rw-r--   1 root root  29K Nov 29 02:05 centminmod_123.09beta01.b623_291120-020450_php-imagick-install.log
    

    Then knowing the location of the log, you can use grep to inspect the yum update command/output for the run
    Code (Text):
    grep -A65 'Check for ImageMagicK System Updates (YUM)' /root/centminlogs/centminmod_123.09beta01.b623_291120-020450_php-imagick-install.log

    and part of the initial output would be the yum update command - notice the yum update part for --disableplugin=priorities,versionlock should list versionlock which tells yum to disable versionlock for updates. The routine detects if /etc/yum/pluginconf.d/versionlock.conf repo file exists and if it does, versionlock is added to the --disableplugin comma separated list. If /etc/yum/pluginconf.d/versionlock.conf isn't detected it is removed from comma separated list.

    Code (Text):
    grep -A65 'Check for ImageMagicK System Updates (YUM)' /root/centminlogs/centminmod_123.09beta01.b623_291120-020450_php-imagick-install.log 
    Check for ImageMagicK System Updates (YUM)
    yum -y update ImageMagick ImageMagick-devel ImageMagick-c++ ImageMagick-c++-devel ImageMagick-libs LibRaw --enablerepo=remi --disablerepo=rpmforge --disableplugin=priorities,versionlock -x ImageMagick7* --disablerepo=base
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * centos-sclo-rh: centos.mirror.ca.planethoster.net
     * centos-sclo-sclo: centos.mirror.vexxhost.com
     * epel: d2lzkl7pfhq30w.cloudfront.net
     * extras: centos.mirror.ca.planethoster.net
     * remi: mirror.pit.teraswitch.com
     * updates: centos.mirror.vexxhost.com
    No packages marked for update
    real    0m8.221s
    user    0m1.384s
    sys     0m0.198s
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:LibRaw-0.19.4-1.el7.*
    versionlock deleted: 1
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:ImageMagick-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-libs-6.9.11.43-1.el7.remi.*
    versionlock deleted: 5
    Loaded plugins: fastestmirror, priorities, versionlock
    Adding versionlock on: 0:ImageMagick-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-libs-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:LibRaw-0.19.4-1.el7
    versionlock added: 6
    
     
  11. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    Code:
    # ls -lah /etc/yum/pluginconf.d/versionlock.conf
    -rw-r--r-- 1 root root 238 May 12  2020 /etc/yum/pluginconf.d/versionlock.conf
    Code:
    # cat /etc/yum/pluginconf.d/versionlock.conf
    [main]
    enabled = 1
    locklist = /etc/yum/pluginconf.d/versionlock.list
    #  Show a hint when any locked packages have updates available
    show_hint = 1
    #  Uncomment this to lock out "upgrade via. obsoletes" etc. (slower)
    # follow_obsoletes = 1
    Code:
    # grep -A65 'Check for ImageMagicK System Updates (YUM)' /root/centminlogs/centminmod_123.09beta01.b623_281120-151026_php-imagick-install.log
    Check for ImageMagicK System Updates (YUM)
    yum -y update ImageMagick ImageMagick-devel ImageMagick-c++ ImageMagick-c++-devel ImageMagick-libs LibRaw --enablerepo=remi --disablerepo=rpmforge --disableplugin=priorities,versionlock -x ImageMagick7* --disablerepo=base
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * centos-sclo-rh: linux.darkpenguin.net
     * centos-sclo-sclo: linux.darkpenguin.net
     * epel: mirror.de.leaseweb.net
     * extras: mirror.checkdomain.de
     * remi: mirror.dogado.de
     * updates: centosmirror.netcup.net
    No packages marked for update
    
    real   0m1.549s
    user   0m1.450s
    sys   0m0.099s
    
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:LibRaw-0.19.4-0.el7.remi.*
    versionlock deleted: 1
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:ImageMagick-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi.*
    Deleting versionlock for: 0:ImageMagick-libs-6.9.11.43-1.el7.remi.*
    versionlock deleted: 5
    Loaded plugins: fastestmirror, priorities, versionlock
    Adding versionlock on: 0:ImageMagick-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-c++-devel-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:ImageMagick-libs-6.9.11.43-1.el7.remi
    Adding versionlock on: 0:LibRaw-0.19.4-0.el7.remi
    versionlock added: 6
    All that seems similar to yours? It's mind-boggling why I keep having this issue, even though everything seems to be OK...? What else could I try?

    (Psst, how do you get the CODE block to be black in your replies? I tried all three available ones, General, PHP and HTML, and none were like yours.)
     
    Last edited: Nov 29, 2020
  12. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    that is strange. What if you manually run the yum update command with versionlock disabled on --disableplugin arguments
    Code (Text):
    yum -y update LibRaw --enablerepo=remi --disablerepo=rpmforge --disableplugin=priorities,versionlock -x ImageMagick7* --disablerepo=base
    

    That should show and update for LibRaw
     
  13. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    Did that.
    Code:
    # yum -y update LibRaw --enablerepo=remi --disablerepo=rpmforge --disableplugin=priorities,versionlock -x ImageMagick7* --disablerepo=base
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    epel/x86_64/metalink                                                                                        |  12 kB  00:00:00
     * centos-sclo-rh: mirror.fra10.de.leaseweb.net
     * centos-sclo-sclo: mirror.softaculous.com
     * epel: mirror.23media.com
     * extras: ftp.rz.uni-frankfurt.de
     * remi: mirror.dogado.de
     * updates: linux.darkpenguin.net
    centos-sclo-rh                                                                                              | 3.0 kB  00:00:00
    centos-sclo-sclo                                                                                            | 3.0 kB  00:00:00
    elastic-5.x                                                                                                 | 1.3 kB  00:00:00
    epel                                                                                                        | 4.7 kB  00:00:00
    extras                                                                                                      | 2.9 kB  00:00:00
    mariadb                                                                                                     | 2.9 kB  00:00:00
    percona-release-x86_64                                                                                      | 2.9 kB  00:00:00
    remi                                                                                                        | 3.0 kB  00:00:00
    updates                                                                                                     | 2.9 kB  00:00:00
    (1/2): epel/x86_64/primary_db                                                                               | 6.9 MB  00:00:00
    (2/2): epel/x86_64/updateinfo                                                                               | 1.0 MB  00:00:00
    No packages marked for update
    And then ran centmin, and exited with menu 24, and again got:
    Code:
     Following Updates are available:
    -------------------------------------------------------------
    LibRaw.x86_64                         0.19.4-1.el7                          base
    
    -------------------------------------------------------------
      To update type these commands:
    -------------------------------------------------------------
      yum update --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    
    WHAAAT!
     
  14. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    try just manually deleting versionlock on LibRaw and yum update LibRaw and then re-enablingversion lock
    Code (Text):
    yum versionlock delete LibRaw
    yum update LibRaw --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    yum versionlock LibRaw
    
     
  15. Markku

    Markku New Member

    8
    2
    3
    Jun 1, 2014
    Ratings:
    +5
    Local Time:
    3:26 PM
    It worked.
    Code:
    # yum versionlock delete LibRaw
    Loaded plugins: fastestmirror, priorities, versionlock
    Deleting versionlock for: 0:LibRaw-0.19.4-0.el7.remi.*
    versionlock deleted: 1
    
    # yum update LibRaw --disableplugin=priorities --setopt=deltarpm=0 --enablerepo=remi
    Loaded plugins: fastestmirror, versionlock
    Loading mirror speeds from cached hostfile
     * base: linux.darkpenguin.net
     * centos-sclo-rh: mirror.fra10.de.leaseweb.net
     * centos-sclo-sclo: mirror.softaculous.com
     * epel: mirror.23media.com
     * extras: ftp.plusline.net
     * remi: mirror.dogado.de
     * rpmforge: mirror1.hs-esslingen.de
     * updates: linux.darkpenguin.net
    Resolving Dependencies
    --> Running transaction check
    ---> Package LibRaw.x86_64 0:0.19.4-0.el7.remi will be updated
    ---> Package LibRaw.x86_64 0:0.19.4-1.el7 will be an update
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ===================================================================================================================================
     Package                       Arch                          Version                             Repository                   Size
    ===================================================================================================================================
    Updating:
     LibRaw                        x86_64                        0.19.4-1.el7                        base                        308 k
    
    Transaction Summary
    ===================================================================================================================================
    Upgrade  1 Package
    
    Total download size: 308 k
    Is this ok [y/d/N]: y
    Downloading packages:
    LibRaw-0.19.4-1.el7.x86_64.rpm                                                                              | 308 kB  00:00:00
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Updating   : LibRaw-0.19.4-1.el7.x86_64                                                                                      1/2
      Cleanup    : LibRaw-0.19.4-0.el7.remi.x86_64                                                                                 2/2
      Verifying  : LibRaw-0.19.4-1.el7.x86_64                                                                                      1/2
      Verifying  : LibRaw-0.19.4-0.el7.remi.x86_64                                                                                 2/2
    
    Updated:
      LibRaw.x86_64 0:0.19.4-1.el7
    
    Complete!
    
    # yum versionlock LibRaw
    Loaded plugins: fastestmirror, priorities, versionlock
    Adding versionlock on: 0:LibRaw-0.19.4-1.el7
    versionlock added: 1
    
    And then after running centmin / 24...
    Code:
     checking for YUM updates... please wait...
     no YUM updates available
    
    Thanks so much.
     
  16. eva2000

    eva2000 Administrator Staff Member

    46,238
    10,510
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,293
    Local Time:
    11:26 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Glad to hear. Strange that using --disableplugin=priorities,versionlock with yum update didn't work this time.